# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.30

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: is11lib
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles\rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = D$:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\cmake-build-debug-visual-studio\
# =============================================================================
# Object build statements for SHARED_LIBRARY target iris_is3lib


#############################################
# Order-only phony target for iris_is3lib

build cmake_object_order_depends_target_iris_is3lib: phony || .

build CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\thirdpart\iris_proto_tool\src\IRIS_Method.cpp.obj: CXX_COMPILER__iris_is3lib_unscanned_Debug D$:\06Learn\rust\tarui\myfirst_tauri\myis11\src\thirdpart\iris_proto_tool\src\IRIS_Method.cpp || cmake_object_order_depends_target_iris_is3lib
  DEFINES = -Diris_is3lib_EXPORTS
  FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  INCLUDES = -IE:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\include -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\test -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\IRIS_IS3 -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\comman -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\thirdpart\iris_proto_tool\src
  OBJECT_DIR = CMakeFiles\iris_is3lib.dir
  OBJECT_FILE_DIR = CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\thirdpart\iris_proto_tool\src
  TARGET_COMPILE_PDB = CMakeFiles\iris_is3lib.dir\
  TARGET_PDB = iris_is3lib.pdb

build CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\SensorIS3.cpp.obj: CXX_COMPILER__iris_is3lib_unscanned_Debug D$:\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\SensorIS3.cpp || cmake_object_order_depends_target_iris_is3lib
  DEFINES = -Diris_is3lib_EXPORTS
  FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  INCLUDES = -IE:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\include -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\test -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\IRIS_IS3 -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\comman -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\thirdpart\iris_proto_tool\src
  OBJECT_DIR = CMakeFiles\iris_is3lib.dir
  OBJECT_FILE_DIR = CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3
  TARGET_COMPILE_PDB = CMakeFiles\iris_is3lib.dir\
  TARGET_PDB = iris_is3lib.pdb

build CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\IS3_INST.cpp.obj: CXX_COMPILER__iris_is3lib_unscanned_Debug D$:\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\IS3_INST.cpp || cmake_object_order_depends_target_iris_is3lib
  DEFINES = -Diris_is3lib_EXPORTS
  FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  INCLUDES = -IE:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\include -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\test -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\IRIS_IS3 -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\comman -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\thirdpart\iris_proto_tool\src
  OBJECT_DIR = CMakeFiles\iris_is3lib.dir
  OBJECT_FILE_DIR = CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3
  TARGET_COMPILE_PDB = CMakeFiles\iris_is3lib.dir\
  TARGET_PDB = iris_is3lib.pdb

build CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\IS3Comon.cpp.obj: CXX_COMPILER__iris_is3lib_unscanned_Debug D$:\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\IS3Comon.cpp || cmake_object_order_depends_target_iris_is3lib
  DEFINES = -Diris_is3lib_EXPORTS
  FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  INCLUDES = -IE:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\include -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\test -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\IRIS_IS3 -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\comman -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\thirdpart\iris_proto_tool\src
  OBJECT_DIR = CMakeFiles\iris_is3lib.dir
  OBJECT_FILE_DIR = CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3
  TARGET_COMPILE_PDB = CMakeFiles\iris_is3lib.dir\
  TARGET_PDB = iris_is3lib.pdb


# =============================================================================
# Link build statements for SHARED_LIBRARY target iris_is3lib


#############################################
# Link the shared library iris_is3lib.dll

build iris_is3lib.dll iris_is3lib.lib: CXX_SHARED_LIBRARY_LINKER__iris_is3lib_Debug CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\thirdpart\iris_proto_tool\src\IRIS_Method.cpp.obj CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\SensorIS3.cpp.obj CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\IS3_INST.cpp.obj CMakeFiles\iris_is3lib.dir\D_\06Learn\rust\tarui\myfirst_tauri\myis11\src\IRIS_IS3\IS3Comon.cpp.obj
  LANGUAGE_COMPILE_FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  LINK_FLAGS = /machine:x64 /debug /INCREMENTAL
  LINK_LIBRARIES = kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib
  OBJECT_DIR = CMakeFiles\iris_is3lib.dir
  POST_BUILD = C:\Windows\system32\cmd.exe /C "cd /D D:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\cmake-build-debug-visual-studio && C:\Windows\System32\WindowsPowerShell\v1.0\powershell.exe -noprofile -executionpolicy Bypass -file E:/01MyCode/vcpkg/vcpkgclion/scripts/buildsystems/msbuild/applocal.ps1 -targetBinary D:/06Learn/rust/tarui/myfirst_tauri/myis11/project/is3/cmake-build-debug-visual-studio/iris_is3lib.dll -installedDir E:/01MyCode/vcpkg/vcpkgclion/installed/x64-windows/debug/bin -OutVariable out"
  PRE_LINK = cd .
  RESTAT = 1
  TARGET_COMPILE_PDB = CMakeFiles\iris_is3lib.dir\
  TARGET_FILE = iris_is3lib.dll
  TARGET_IMPLIB = iris_is3lib.lib
  TARGET_PDB = iris_is3lib.pdb

# =============================================================================
# Object build statements for EXECUTABLE target is3test


#############################################
# Order-only phony target for is3test

build cmake_object_order_depends_target_is3test: phony || cmake_object_order_depends_target_iris_is3lib

build CMakeFiles\is3test.dir\testmain.cpp.obj: CXX_COMPILER__is3test_unscanned_Debug D$:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\testmain.cpp || cmake_object_order_depends_target_is3test
  FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  INCLUDES = -IE:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\include -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\test -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\IRIS_IS3 -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\comman -ID:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\..\..\src\thirdpart\iris_proto_tool\src
  OBJECT_DIR = CMakeFiles\is3test.dir
  OBJECT_FILE_DIR = CMakeFiles\is3test.dir
  TARGET_COMPILE_PDB = CMakeFiles\is3test.dir\
  TARGET_PDB = is3test.pdb


# =============================================================================
# Link build statements for EXECUTABLE target is3test


#############################################
# Link the executable is3test.exe

build is3test.exe: CXX_EXECUTABLE_LINKER__is3test_Debug CMakeFiles\is3test.dir\testmain.cpp.obj | iris_is3lib.lib E$:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\debug\lib\libcserialport.lib || iris_is3lib.dll
  FLAGS = /MT /MDd /Zi /Ob0 /Od /RTC1
  LINK_FLAGS = /machine:x64 /debug /INCREMENTAL /subsystem:console
  LINK_LIBRARIES = iris_is3lib.lib  E:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\debug\lib\libcserialport.lib  kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib
  OBJECT_DIR = CMakeFiles\is3test.dir
  POST_BUILD = C:\Windows\system32\cmd.exe /C "cd /D D:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\cmake-build-debug-visual-studio && C:\Windows\System32\WindowsPowerShell\v1.0\powershell.exe -noprofile -executionpolicy Bypass -file E:/01MyCode/vcpkg/vcpkgclion/scripts/buildsystems/msbuild/applocal.ps1 -targetBinary D:/06Learn/rust/tarui/myfirst_tauri/myis11/project/is3/cmake-build-debug-visual-studio/is3test.exe -installedDir E:/01MyCode/vcpkg/vcpkgclion/installed/x64-windows/debug/bin -OutVariable out"
  PRE_LINK = cd .
  TARGET_COMPILE_PDB = CMakeFiles\is3test.dir\
  TARGET_FILE = is3test.exe
  TARGET_IMPLIB = is3test.lib
  TARGET_PDB = is3test.pdb


#############################################
# Utility command for edit_cache

build CMakeFiles\edit_cache.util: CUSTOM_COMMAND
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D D:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\cmake-build-debug-visual-studio && C:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\bin\cmake.exe -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles\edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles\rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = C:\Windows\system32\cmd.exe /C "cd /D D:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\cmake-build-debug-visual-studio && C:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\bin\cmake.exe --regenerate-during-build -SD:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3 -BD:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\cmake-build-debug-visual-studio"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles\rebuild_cache.util

# =============================================================================
# Target aliases.

build iris_is3lib: phony iris_is3lib.dll

build is3test: phony is3test.exe

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: D:/06Learn/rust/tarui/myfirst_tauri/myis11/project/is3/cmake-build-debug-visual-studio

build all: phony iris_is3lib.dll is3test.exe

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeCInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeCXXInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeCommonLanguageInclude.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeDependentOption.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeGenericSystem.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeInitializeConfigs.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeLanguageInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeRCInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeSystemSpecificInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeSystemSpecificInitialize.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\MSVC-C.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\MSVC-CXX.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\MSVC.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-Initialize.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-MSVC-C.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-MSVC.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\WindowsPaths.cmake CMakeCache.txt CMakeFiles\3.30.5\CMakeCCompiler.cmake CMakeFiles\3.30.5\CMakeCXXCompiler.cmake CMakeFiles\3.30.5\CMakeRCCompiler.cmake CMakeFiles\3.30.5\CMakeSystem.cmake D$:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\CMakeLists.txt E$:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\share\cserialport\cserialport-config.cmake E$:\01MyCode\vcpkg\vcpkgclion\scripts\buildsystems\vcpkg.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeCInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeCXXInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeCommonLanguageInclude.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeDependentOption.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeGenericSystem.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeInitializeConfigs.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeLanguageInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeRCInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeSystemSpecificInformation.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\CMakeSystemSpecificInitialize.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\CMakeCommonCompilerMacros.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\MSVC-C.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\MSVC-CXX.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Compiler\MSVC.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-Initialize.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-MSVC-C.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-MSVC-CXX.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows-MSVC.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\Windows.cmake C$:\Users\xin\AppData\Local\Programs\CLion\bin\cmake\win\x64\share\cmake-3.30\Modules\Platform\WindowsPaths.cmake CMakeCache.txt CMakeFiles\3.30.5\CMakeCCompiler.cmake CMakeFiles\3.30.5\CMakeCXXCompiler.cmake CMakeFiles\3.30.5\CMakeRCCompiler.cmake CMakeFiles\3.30.5\CMakeSystem.cmake D$:\06Learn\rust\tarui\myfirst_tauri\myis11\project\is3\CMakeLists.txt E$:\01MyCode\vcpkg\vcpkgclion\installed\x64-windows\share\cserialport\cserialport-config.cmake E$:\01MyCode\vcpkg\vcpkgclion\scripts\buildsystems\vcpkg.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
